/*
 *  Example 52:  Activities
 */

package com.android.ex52;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.content.res.Configuration;

public class EX52Activity extends Activity
{
   EX52View view;

   @Override protected void onCreate(Bundle icicle)
   {
      super.onCreate(icicle);
      Log.d("Example52","On create"); 	
      view = new EX52View(getApplication());
      setContentView(view);
   }

   @Override protected void onPause()
   {
      super.onPause();
      Log.d("Example52","On resume"); 
      view.onPause();
   }

   @Override protected void onResume()
   {
      super.onResume();
      Log.d("Example52","On resume"); 
      view.onResume();
   }

   @Override public void onConfigurationChanged(Configuration conf)
   {
      super.onConfigurationChanged(conf);
      //  int angle = (conf.orientation == Configuration.ORIENTATION_LANDSCAPE) ? 90 : 0;
      //  This is utterly insane, but hardKeyboadHidden detects landscape/portrait in the emulator
      int angle = (conf.hardKeyboardHidden == 2) ? 90 : 0;
      Log.d("Example52","On ConfigurationChanged "+angle); 
      EX52Lib.rotate(angle);
   }
}
